#!/usr/local/bin/python3.sh
# -*-mode: python; indent-tabs-mode: nil; py-indent-offset: 4; coding: utf-8 -*-

import os,sys
# if not hasattr(sys, 'frozen'):
try:
    #keepassxc_cmd2
    from . import ansi
    Fg=ansi.Fg
    Bg=ansi.Bg
except Exception:
    def green(s): return s
    def red(s):   return s
    def yellow(s):   return s
    def blue(s):   return s
    ansi = None
else:
    def green(s): return f"{Fg.GREEN}{s} {Fg.RESET}"
    def red(s):   return f"{Fg.RED}{s} {Fg.RESET}"
    def yellow(s):   return f"{Fg.YELLOW}{s} {Fg.RESET}"
    def blue(s):   return f"{Fg.LIGHT_BLUE}{s} {Fg.RESET}"

def info(s):   return green(s)
def error(s):  return red(s)
def warn(s):   return yellow(s)
def debug(s):  return blue(s)
